Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
hakhoailang

[ nhờ viết lisp ] hiển thì chiều dài 2 đỉnh khi dùng lệnh PL

Các bài được khuyến nghị

trong quá trình làm việc e gặp phả vấn đề nên nhờ các bác viết hộ e cái lisp với ý tưởng như sau :

e dùng lệnh PL để kẻ đa tuyến

ví dụ e kẻ đa tuyến có các đỉnh là 1,2,3,4,5

khi e pick điểm 2 thì nó hiển thị chiều dài của đoạn 12 trên khung command

khi e pick điểm 3 thì nó hiển thị chiều dài của đoạn 23 trên khung command

khi e pick điểm 4 thì nó hiển thị chiều dài của đoạn 34 trên khung command

khi e pick điểm 5 thì nó hiển thị chiều dài của đoạn 45 trên khung command

mong các bác giúp đỡ hộ e .

cái này là nhu cầu do đặc thù công việc của em mỗi khi kẻ pl xong e phải đo lại chều dài của nó để căn cho đúng tiêu chuẩn .

rất mệt mỏi . vì có hàng nghìn điểm .

mong các bác giúp đỡ hộ em

thank các bác nhiều

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn không nên sáng tạo tiền tố của tiêu đề, vì nó đã theo 1 form rồi.

(defun c:pl()
(command ".pline" (setq p1 (getpoint "\nSpecify start point: ")))
(while  (setq p2 (getpoint p1))
 (princ (distance p1 p2))
 (command p2)
 (setq p1 p2)
)
(command "")
(princ)
)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×